## securepass-tools 0.3.6

=== debian/changelog ===
securepass-tools (0.3.6-1) unstable; urgency=medium

  * Initial release. (Closes: #767110)

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Oct 2014 14:49:10 +0000

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/s/securepass/securepass-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## securepass-tools 0.3.7

=== debian/changelog ===
securepass-tools (0.3.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Jun 2015 01:09:07 +0100

securepass-tools (0.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Jun 2015 00:52:44 +0100

## securepass-tools 0.4.6

=== Makefile ===
clean:
	rm -rf dist/
	rm -rf securepass.egg-info/
	rm securepass/*.pyc

=== requirements.txt ===
pycurl

## securepass-tools 0.4.3

=== debian/changelog ===
securepass-tools (0.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Sep 2015 15:10:38 +0100

=== debian/control ===
Source: securepass-tools
Section: python
Priority: optional
Maintainer: Debian SecurePass <pkg-securepass-devel@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-exec,
 dh-python,
 python-all,
 python-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Homepage: https://github.com/garlsecurity/securepass-tools
Vcs-Git: git://anonscm.debian.org/pkg-securepass/securepass-tools.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-securepass/securepass-tools.git

Package: python-securepass
Architecture: all
Depends:
 python-pycurl,
 ${misc:Depends},
 ${python:Depends}
Description: Python module to access SecurePass
 SecurePass provides web single sign-on through the CAS protocol
 .
 This package provides various command line utilities and Django
 backend to access the SecurePass's RESTful APIs.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=securepass
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/lib/python-securepass/

BROKEN_TOOLS += sp-user-mod

%:
	dh $@ -Spybuild --with python2

override_dh_link:
	for fname in `ls debian/python-securepass/usr/lib/python-securepass/` ; do \
            dh_link -ppython-securepass usr/lib/python-securepass/$$fname usr/bin/$$fname ; \
        done
	for fname in $(BROKEN_TOOLS) ; do \
            rm -f debian/python-securepass/usr/bin/$$fname ; \
        done
	dh_link --remaining-packages

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/securepass-tools-$1\.tar\.gz/ \
  https://github.com/garlsecurity/securepass-tools/tags .*/v?(\d\S*)\.tar\.gz

## securepass-tools 0.4.6

=== debian/changelog ===
securepass-tools (0.4.6-1) unstable; urgency=medium

  * New upstream release
  * Bump standards

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 May 2016 19:07:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  python-all,
  python-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 Homepage: https://github.com/garlsecurity/securepass-tools
 Vcs-Git: git://anonscm.debian.org/pkg-securepass/securepass-tools.git
